Sympa::HTMLDecorator(3Sympa)

NAME
Sympa::HTMLDecorator - Decorating HTML texts

SYNOPSIS
  use Sympa::HTMLDecorator;
  $decorator = Sympa::HTMLDecorator->instance;
  $ouput = $decorator->decorate($html, email => 'javascript');

DESCRIPTION
Sympa::HTMLDecorator transforms HTML texts.

  Methods

instance ( )
    Constructor. Returns singleton instance of this class.

decorate ( $html, email => $mode )
    Instance method. Modifies HTML text.

    Parameters:

    $html
        A text including HTML document or fragment. It must be encoded by UTF-8.

    email => $mode
        Transformation mode. 'at' replaces "@" in email addresses. 'javascript' obfuscates emails using JavaScript code.

    Returns:

    Modified text.

SEE ALSO
Sympa::HTMLSanitizer.

HISTORY
Sympa::HTMLDecorator appeared on Sympa 6.2.14.